package com.ejie.ab79.model.propuestaSancion;

import org.springframework.context.i18n.LocaleContextHolder;

public class EstadosProSan implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idEstadoProSan;
	private String descripcionCastellano;
	private String descripcionEuskera;

	/**
	 * Method 'EstadosProSan'.
	 */
	public EstadosProSan() {
	}

	/**
	 * Method 'EstadosProSan'.
	 * 
	 * @param idEstadoProSan
	 *            Integer
	 */
	public EstadosProSan(Integer idEstadoProSan) {
		this.idEstadoProSan = idEstadoProSan;
	}

	/**
	 * Method 'EstadosProSan'.
	 * 
	 * @param idEstadoProSan
	 *            Integer
	 * @param descripcionCastellano
	 *            String
	 * @param descripcionEuskera
	 *            String
	 * 
	 */
	public EstadosProSan(Integer idEstadoProSan, String descripcionCastellano, String descripcionEuskera) {

		this.idEstadoProSan = idEstadoProSan;
		this.descripcionCastellano = descripcionCastellano;
		this.descripcionEuskera = descripcionEuskera;
	}

	public Integer getIdEstadoProSan() {
		return idEstadoProSan;
	}

	public void setIdEstadoProSan(Integer idEstadoProSan) {
		this.idEstadoProSan = idEstadoProSan;
	}

	public String getDescripcionCastellano() {
		return descripcionCastellano;
	}

	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	public String getDescripcionEuskera() {
		return descripcionEuskera;
	}

	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	public String getDescripcion() {
		String idioma = LocaleContextHolder.getLocale().getLanguage();
		if ("es".equalsIgnoreCase(idioma)) {
			return this.descripcionCastellano;
		} else {
			return this.descripcionEuskera;
		}
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idEstadoProSan: ").append(this.idEstadoProSan).append(" ]");
		result.append(", [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(", [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append("}");
		return result.toString();
	}

}
